Subject: RE: bug#5744: 23.1.92; doc string of `version<' etc.

From: "Drew Adams" <[email-masked]>
Date: Sat, 20 Mar 2010 22:18:01 -0700

> > > With versions, it might be better to use "older" and 
> > > "newer" instead.
> > 
> > I don't think it is possible to come up with an algorithm for that.
> 
> I didn't suggest to change the existing algorithm, only the doc
> string.
> 
> > There may be maintainence branches still running after a new major
> > release (eg gcc 4.3.4 is newer than 4.4.1, despite being a lower
> > version).
> 
> I didn't mean "newer" by its release date.  4.4.1 is "newer" than
> 4.3.4, no matter what their release dates are.
> 
> Maybe "lower" and "higher" is indeed a better terminology.  Or maybe
> we should use both, to drive the point home.

It's not the names that are as important as communicating what they stand for.
I, for instance, don't yet know what exactly is meant. Why the date of 4.3.4
might be later than 4.4.1, even though the latter is "newer".

Try explaining it (the concepts) first, in simple terms. Then the words (good
names) will come.